namespace PhpefRuntimeEmbed {
    // PHPEF typed_fast_path native; source php_function; PHP function: microtime; typed_signature _typed_string
    public string phpfunc_microtime_typed_string() {
        return phpfunc_microtime().to_php_string();
    }

    // PHPEF typed_fast_path native; source php_function; PHP function: microtime; typed_signature _typed_string_arg1_bool_false
    public string phpfunc_microtime_typed_string_arg1_bool_false() {
        return phpfunc_microtime(PhpefRuntimeCore.Zval.from_bool(false)).to_php_string();
    }

    // PHPEF typed_fast_path native; source php_function; PHP function: microtime; typed_signature _typed_double_arg1_bool_true
    public double phpfunc_microtime_typed_double_arg1_bool_true() {
        return phpfunc_microtime(PhpefRuntimeCore.Zval.from_bool(true)).as_float();
    }
}
